Get Collection Info
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/collections/{collectionId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "bb691876-edb3-404c-af3e-c019b8e2ed2c",
"metadata": {
"name": "Sample NFT Collection",
"description": "This is a sample NFT collection",
"imageUrl": "https://www.crossmint.com/assets/crossmint/logo.png",
"symbol": "TOKEN"
},
"fungibility": "non-fungible",
"onChain": {
"chain": "polygon",
"type": "erc-721",
"contractAddress": "0x9564bD85f3D5677D86244dDb06F06bbD22D9d0DB"
},
"supplyLimit": 95,
"payments": {
"price": "0.001",
"recipientAddress": "0x6C3b3225759Cbda68F96378A9F0277B4374f9F06"
},
"subscription": {
"enabled": true
}
}{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}NFT Collections
Get Collection Info
Get information about a specific collection.
API scope required: collections.read
GET
/
2022-06-09
/
collections
/
{collectionId}
Get Collection Info
For Solana collections the
onChain.contractAddress property will be named onChain.mintAddressAuthorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the initial request.
Example: your-custom-identifier
Was this page helpful?
⌘I

